## Structures

Structures

## Types and Values

| GocPoint
| GocRect

## Description

Simple structures used in the canvas code.

## Functions

## Types and Values

### GocPoint

    typedef struct {
    	double x, y;
    } GocPoint;

A simple point.

#### Members

double `x`; | horizontal position of the point. |
double `y`; | vertical position of the point. |

### GocRect

    typedef struct {
    	double x, y;
    	double width, height;
    } GocRect;

A simple rectangle.

#### Members

double `x`; | lowest horizontal bound of the rectangle. |
double `y`; | lowest vertical bound of the rectangle. |
double `width`; | rectangle width. |
double `height`; | rectangle height. |